Set-PowerLinePrompt -PowerLineFont

$local:MyPowerLineSetup = [ordered]@{
    Title = { "Sz PS" }
    SetCurrentDirectory = $true
    RestoreVirtualTerminal = $true
    PowerLineCharacters = [ordered]@{
        ColorSeparator = "$(
                $PromptCache.ColorFiller
            )$( $PromptCache.Separator.Trim()
            )$( " "
            )"
        ReverseColorSeparator = "$(
                " "
            )$( $PromptCache.ReverseSeparator.Trim()
            )$( $PromptCache.ColorFiller
            )"
        Separator = $(
            [PoshCode.Pansies.Entities]::NerdFonts['nf-fa-angle_right']
        )
        ReverseSeparator = $(
            [PoshCode.Pansies.Entities]::NerdFonts['nf-fa-angle_left']
        )
    }
    Colors = [PoshCode.Pansies.RgbColor]::X11Palette |
        Where-Object X11ColorName -match "^Gray\d" |
        Sort-Object X11ColorName -Unique |
        Where-Object {
            0 -eq $([int]($_.X11ColorName -replace 'Gray','') % 11)
        }
    #@( [rgbcolor]"Grey18", [rgbcolor]"Grey65" )
    #([rgbcolor]::ConsolePalette | Where ConsoleColor -eq ((get-host).ui.rawui.BackgroundColor)), 
    #@( [rgbcolor]"Grey18", [rgbcolor]"Grey65" ) #, [rgbcolor]"white", [rgbcolor]"red", [rgbcolor]"blue" )
    Prompt = @(
        { Write-Host "" } # A spaced line without a ColorSeparator
        { New-PromptText -EBg VioletRed4 $MyInvocation.HistoryId }
        { Get-SegmentedPath -LengthLimit 30 }
        { Write-VcsStatus }

        # Right-align block
        { "`t" }
        { "$($PromptCache.Username)@$($PromptCache.Hostname)" }
        { Get-Elapsed -Trim }
        { Get-Date -Format 'HH:mm:ss' }
        { Get-Date -Format 'ddd(dd)' }
        { "$PSOSName " }

        { "`n" }
        { New-PromptText { "PS" } -Bg $Prompt.Colors[1] -Ebg Red }
    )
}
Set-PowerLinePrompt @MyPowerLineSetup

Write-Host -ForegroundColor Cyan "PowerLine Theme is ready, if you want to persist it, don't forget to run Export-PowerLinePrompt`n"
